# source https://launchpad.net/lightdm-gtk-greeter/2.0/2.0.2/+download/lightdm-gtk-greeter-2.0.2.tar.gz

Summary:	The Light Display Manager (GTK+ greeter)
Name:		lightdm-gtk-greeter
Version:	2.0.2
Release:	%mkrel 1
Summary:        The Light Display Manager (GTK+ greeter)

License:	GPLv3+
Group:		Graphical desktop/Other
URL:            https://launchpad.net/lightdm-gtk-greeter
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}.conf
Source2:	lightdm-default-user.svg
Source3:	uplos.jpg

BuildRequires:  %{_lib}girepository-devel
BuildRequires:	%{_lib}glib2.0-devel
BuildRequires:	%{_lib}gtk+3.0-devel
BuildRequires:	%{_lib}lightdm-gobject-devel
BuildRequires:	%{_lib}x11-devel
BuildRequires:	libpthread-stubs
BuildRequires:  gettext-devel
BuildRequires:	gtk-doc
BuildRequires:	intltool >= 0.35.0
#BuildRequires:	wayland-protocols-devel
Requires(post,postun): update-alternatives

%description
A LightDM greeter that uses the GTK+ toolkit.

%prep
%setup -q

%build
%configure2_5x \
  --disable-static \
  --disable-indicator-services-command \
  --enable-at-spi-command=%{_libexecdir}/at-spi-bus-launcher
%make

%install
%makeinstall_std

%__install -Dpm644 %{S:1} %{buildroot}%{_sysconfdir}/lightdm/lightdm-gtk-greeter.conf.d/50-%{_real_vendor}.conf
%__mv %{buildroot}%{_sbindir}/%{name} %{buildroot}%{_sbindir}/lightdm-gtk3-greeter
%__mv %{buildroot}%{_datadir}/xgreeters/lightdm-gtk-greeter.desktop %{buildroot}%{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop
%__sed -i -e 's,%{name},lightdm-gtk3-greeter,g' %{buildroot}%{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop
%__install -Dpm644 %{S:2} %{buildroot}%{_datadir}/%{name}/default-user-image.svg
%__install -Dpm644 %{S:3} %{buildroot}%{_datadir}/backgrounds/uplos.jpg
# symlink badges to work with our session files
pushd %{buildroot}%{_iconsdir}/hicolor/scalable/places
	%__ln_s xfce_badge-symbolic.svg 06xfce4_badge-symbolic.svg
	%__ln_s lxde_badge-symbolic.svg 04lxde_badge-symbolic.svg
	%__ln_s kde_badge-symbolic.svg 01kde_badge-symbolic.svg
	%__ln_s kde_badge-symbolic.svg 02plasma_badge-symbolic.svg
	%__ln_s gnome_badge-symbolic.svg 02gnome_badge-symbolic.svg
	%__ln_s gnome_badge-symbolic.svg 03gnome_classic_badge-symbolic.svg
	%__ln_s mate_badge-symbolic.svg 10mate_badge-symbolic.svg
	%__ln_s wmaker-common_badge-symbolic.svg 03windowmaker_badge-symbolic.svg
	%__ln_s wmaker-common_badge-symbolic.svg windowmaker_badge-symbolic.svg
popd
%__rm -rf %{buildroot}%{_docdir}
%find_lang %{name}

%post
if [ $1 -eq 1 ]; then
%{_sbindir}/update-alternatives --install %{_datadir}/xgreeters/lightdm-greeter.desktop lightdm-greeter \
%{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop 20
fi

%postun
if [ $1 -eq 0 ]; then
  %{_sbindir}/update-alternatives --remove lightdm-greeter %{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop
fi

%files -f %{name}.lang
%doc NEWS
%config(noreplace) %{_sysconfdir}/lightdm/lightdm-gtk-greeter.conf
%dir %{_sysconfdir}/lightdm/lightdm-gtk-greeter.conf.d/
%config %{_sysconfdir}/lightdm/lightdm-gtk-greeter.conf.d/50-%{_real_vendor}.conf
%{_iconsdir}/hicolor/scalable/places/*.svg
%{_datadir}/backgrounds/uplos.jpg
%{_datadir}/%{name}/default-user-image.svg
%{_sbindir}/lightdm-gtk3-greeter
%{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop

%changelog
* Wed Oct 12 2016 tele <tele> 
- Rebuild for UPLOS

* Sat Oct 08 2016 marcin82 <marcin82 at vp.pl> 2.0.2-1pclos2016
- Initial build for PCLinuxOS
